
QGIS Application - Bug report #8758

graduated classes on expression broken

2013-10-03 02:25 AM - Regis Haubourg

Status: Closed

Priority: High

Assignee: Martin Dobias

Category: Symbology

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17467

Description

Hi Nathan, 

Only equal interval classification method is working in revision 968c321, 

the other gives empty results.. 

Cheers

Régis

Associated revisions

Revision a6461018 - 2014-02-12 01:52 PM - Martin Dobias

Fix #8758 (graduated classes on expression broken)

History

#1 - 2013-10-04 10:23 AM - John Tull

- File QGIS_2013-10-04-101635_Hawkeye.txt added

If I try to use graduated classes for styling, selecting the standard deviation option in the drop-down selector causes a crash for me. I've attached my crash

log, this on OS X.

If I use equal interval, my classes are created, but no values are assigned. They are all value: 0.0-0.0.

Quantile also causes a crash when selected from the drop-down menu. Natural Breaks (Jenks) and Pretty Breaks do nothing (no classification at all).

#2 - 2013-10-25 07:53 AM - mlennert -

Using the version described below, I can confirm this bug, but not the crashing part. I just can't get any other classes except for equal interval, using a very

simple shapefile with 4 polygons, one integer field (population) in the attribute table and calculating the expression:  "population"  /  ($area / 1000000)

Version de QGIS    2.1.0-Master    Révision du code    1d754d9

Compilé avec Qt    4.8.5    Utilisant Qt    4.8.5

Compilé avec GDAL/OGR    1.9.0    Utilisé avec GDAL/OGR    1.9.0

Compiled against GEOS    3.3.3-CAPI-1.7.4    Running against GEOS    3.3.3-CAPI-1.7.4

Version du client PostgreSQL    9.3rc1    Version de SpatiaLite    3.1.0-RC2

Version de QWT    6.0.0-svn    Version de PROJ.4 :    470
#3 - 2014-02-12 04:02 AM - Martin Dobias

- Assignee changed from Nathan Woodrow to Martin Dobias

#4 - 2014-02-12 04:52 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"a64610186173c0b274cebcc9a858efcd0680057c".

Files

QGIS_2013-10-04-101635_Hawkeye.txt 85.8 KB 2013-10-04 John Tull
